package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserDictCatMapper;
import com.sa.ibiz.demo.demo.domain.UserDictCat;
import com.sa.ibiz.demo.demo.service.UserDictCatService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserDictCatSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UserDictCat] 服务对象接口实现
 */
@Service
public class UserDictCatServiceImpl extends ServiceImplBase<UserDictCatMapper, UserDictCat> implements UserDictCatService{


    @Resource
    private UserDictCatMapper userdictcatMapper;


    @Override
    public boolean create(UserDictCat et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UserDictCat et){
        this.beforeUpdate(et);
		this.userdictcatMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UserDictCat et){
		return et.getUserdictcatid();  
    }

    @Override
    public boolean getDraft(UserDictCat et)  {
            return true;
    }

	public List<UserDictCat> listDefault(UserDictCatSearchFilter filter) {
		return userdictcatMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserDictCat> searchDefault(UserDictCatSearchFilter filter) {
		return userdictcatMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userdictcatMapper.selectRow(sql);
    }

 }